/**
 */
package org.eclipse.papyrusrt.bb.bbIF;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.EReference;
import org.eclipse.papyrusrt.xtumlrt.common.CommonPackage;

import org.eclipse.papyrusrt.xtumlrt.umlrt.UmlrtPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrusrt.bb.bbIF.BBIFFactory
 * @model kind="package"
 * @generated
 */
public interface BBIFPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "bbIF";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.eclipse.org/papyrusrt/bbIF";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "bbIF";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BBIFPackage eINSTANCE = org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.SubSystemImpl <em>Sub System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.SubSystemImpl
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getSubSystem()
	 * @generated
	 */
	int SUB_SYSTEM = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__NAME = CommonPackage.PACKAGE__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__DESCRIPTION = CommonPackage.PACKAGE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__ANNOTATIONS = CommonPackage.PACKAGE__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__DEPENDENCIES = CommonPackage.PACKAGE__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__ARTIFACTS = CommonPackage.PACKAGE__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Packages</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__PACKAGES = CommonPackage.PACKAGE__PACKAGES;

	/**
	 * The feature id for the '<em><b>Entities</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__ENTITIES = CommonPackage.PACKAGE__ENTITIES;

	/**
	 * The feature id for the '<em><b>Type Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__TYPE_DEFINITIONS = CommonPackage.PACKAGE__TYPE_DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Protocols</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__PROTOCOLS = CommonPackage.PACKAGE__PROTOCOLS;

	/**
	 * The feature id for the '<em><b>Platform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__PLATFORM = CommonPackage.PACKAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Subsystems</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__SUBSYSTEMS = CommonPackage.PACKAGE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Bbif</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__BBIF = CommonPackage.PACKAGE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Sub System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM_FEATURE_COUNT = CommonPackage.PACKAGE_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Sub System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM_OPERATION_COUNT = CommonPackage.PACKAGE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBIFImpl <em>BBIF</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFImpl
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBIF()
	 * @generated
	 */
	int BBIF = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__NAME = CommonPackage.PACKAGE__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__DESCRIPTION = CommonPackage.PACKAGE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__ANNOTATIONS = CommonPackage.PACKAGE__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__DEPENDENCIES = CommonPackage.PACKAGE__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__ARTIFACTS = CommonPackage.PACKAGE__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Packages</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__PACKAGES = CommonPackage.PACKAGE__PACKAGES;

	/**
	 * The feature id for the '<em><b>Entities</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__ENTITIES = CommonPackage.PACKAGE__ENTITIES;

	/**
	 * The feature id for the '<em><b>Type Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__TYPE_DEFINITIONS = CommonPackage.PACKAGE__TYPE_DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Protocols</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__PROTOCOLS = CommonPackage.PACKAGE__PROTOCOLS;

	/**
	 * The feature id for the '<em><b>Bbprotocols</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__BBPROTOCOLS = CommonPackage.PACKAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Bbdatatypes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__BBDATATYPES = CommonPackage.PACKAGE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>BBIF</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF_FEATURE_COUNT = CommonPackage.PACKAGE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>BBIF</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF_OPERATION_COUNT = CommonPackage.PACKAGE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBProtocolImpl <em>BB Protocol</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBProtocolImpl
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBProtocol()
	 * @generated
	 */
	int BB_PROTOCOL = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__NAME = CommonPackage.PROTOCOL__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__DESCRIPTION = CommonPackage.PROTOCOL__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__ANNOTATIONS = CommonPackage.PROTOCOL__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__DEPENDENCIES = CommonPackage.PROTOCOL__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__ARTIFACTS = CommonPackage.PROTOCOL__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__REDEFINES = CommonPackage.PROTOCOL__REDEFINES;

	/**
	 * The feature id for the '<em><b>Protocol Behaviour Features</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__PROTOCOL_BEHAVIOUR_FEATURES = CommonPackage.PROTOCOL__PROTOCOL_BEHAVIOUR_FEATURES;

	/**
	 * The feature id for the '<em><b>Bbsignals</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__BBSIGNALS = CommonPackage.PROTOCOL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>BB Protocol</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL_FEATURE_COUNT = CommonPackage.PROTOCOL_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>BB Protocol</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL_OPERATION_COUNT = CommonPackage.PROTOCOL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBSignalImpl <em>BB Signal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBSignalImpl
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBSignal()
	 * @generated
	 */
	int BB_SIGNAL = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__NAME = CommonPackage.SIGNAL__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__DESCRIPTION = CommonPackage.SIGNAL__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__ANNOTATIONS = CommonPackage.SIGNAL__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__DEPENDENCIES = CommonPackage.SIGNAL__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__ARTIFACTS = CommonPackage.SIGNAL__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__KIND = CommonPackage.SIGNAL__KIND;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__REDEFINES = CommonPackage.SIGNAL__REDEFINES;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__PARAMETERS = CommonPackage.SIGNAL__PARAMETERS;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__DIRECTION = CommonPackage.SIGNAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>BB Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL_FEATURE_COUNT = CommonPackage.SIGNAL_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>BB Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL_OPERATION_COUNT = CommonPackage.SIGNAL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBDataTypeImpl <em>BB Data Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBDataTypeImpl
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBDataType()
	 * @generated
	 */
	int BB_DATA_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__NAME = UmlrtPackage.RT_PASSIVE_CLASS__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__DESCRIPTION = UmlrtPackage.RT_PASSIVE_CLASS__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__ANNOTATIONS = UmlrtPackage.RT_PASSIVE_CLASS__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__DEPENDENCIES = UmlrtPackage.RT_PASSIVE_CLASS__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__ARTIFACTS = UmlrtPackage.RT_PASSIVE_CLASS__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__REDEFINES = UmlrtPackage.RT_PASSIVE_CLASS__REDEFINES;

	/**
	 * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__ATTRIBUTES = UmlrtPackage.RT_PASSIVE_CLASS__ATTRIBUTES;

	/**
	 * The feature id for the '<em><b>Operations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__OPERATIONS = UmlrtPackage.RT_PASSIVE_CLASS__OPERATIONS;

	/**
	 * The feature id for the '<em><b>Generalizations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__GENERALIZATIONS = UmlrtPackage.RT_PASSIVE_CLASS__GENERALIZATIONS;

	/**
	 * The feature id for the '<em><b>Behaviour</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__BEHAVIOUR = UmlrtPackage.RT_PASSIVE_CLASS__BEHAVIOUR;

	/**
	 * The feature id for the '<em><b>Bbproperties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__BBPROPERTIES = UmlrtPackage.RT_PASSIVE_CLASS_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>BB Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE_FEATURE_COUNT = UmlrtPackage.RT_PASSIVE_CLASS_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>BB Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE_OPERATION_COUNT = UmlrtPackage.RT_PASSIVE_CLASS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBPropertyImpl <em>BB Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBPropertyImpl
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBProperty()
	 * @generated
	 */
	int BB_PROPERTY = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__NAME = CommonPackage.ATTRIBUTE__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__DESCRIPTION = CommonPackage.ATTRIBUTE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__ANNOTATIONS = CommonPackage.ATTRIBUTE__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__DEPENDENCIES = CommonPackage.ATTRIBUTE__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__ARTIFACTS = CommonPackage.ATTRIBUTE__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Unique</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__UNIQUE = CommonPackage.ATTRIBUTE__UNIQUE;

	/**
	 * The feature id for the '<em><b>Ordered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__ORDERED = CommonPackage.ATTRIBUTE__ORDERED;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__LOWER_BOUND = CommonPackage.ATTRIBUTE__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__UPPER_BOUND = CommonPackage.ATTRIBUTE__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__TYPE = CommonPackage.ATTRIBUTE__TYPE;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__VISIBILITY = CommonPackage.ATTRIBUTE__VISIBILITY;

	/**
	 * The feature id for the '<em><b>Default</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__DEFAULT = CommonPackage.ATTRIBUTE__DEFAULT;

	/**
	 * The feature id for the '<em><b>Static</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__STATIC = CommonPackage.ATTRIBUTE__STATIC;

	/**
	 * The feature id for the '<em><b>Read Only</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__READ_ONLY = CommonPackage.ATTRIBUTE__READ_ONLY;

	/**
	 * The feature id for the '<em><b>Big Endian</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__BIG_ENDIAN = CommonPackage.ATTRIBUTE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>BB Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY_FEATURE_COUNT = CommonPackage.ATTRIBUTE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>BB Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY_OPERATION_COUNT = CommonPackage.ATTRIBUTE_OPERATION_COUNT + 0;


	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBModelImpl <em>BB Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBModelImpl
	 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBModel()
	 * @generated
	 */
	int BB_MODEL = 6;

	/**
	 * The feature id for the '<em><b>Packages</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__PACKAGES = UmlrtPackage.RT_MODEL__PACKAGES;

	/**
	 * The feature id for the '<em><b>Entities</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__ENTITIES = UmlrtPackage.RT_MODEL__ENTITIES;

	/**
	 * The feature id for the '<em><b>Type Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__TYPE_DEFINITIONS = UmlrtPackage.RT_MODEL__TYPE_DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Protocols</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__PROTOCOLS = UmlrtPackage.RT_MODEL__PROTOCOLS;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__NAME = UmlrtPackage.RT_MODEL__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__DESCRIPTION = UmlrtPackage.RT_MODEL__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__ANNOTATIONS = UmlrtPackage.RT_MODEL__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__DEPENDENCIES = UmlrtPackage.RT_MODEL__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__ARTIFACTS = UmlrtPackage.RT_MODEL__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__IMPORTS = UmlrtPackage.RT_MODEL__IMPORTS;

	/**
	 * The feature id for the '<em><b>Contained Artifacts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__CONTAINED_ARTIFACTS = UmlrtPackage.RT_MODEL__CONTAINED_ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Interactions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__INTERACTIONS = UmlrtPackage.RT_MODEL__INTERACTIONS;

	/**
	 * The feature id for the '<em><b>Top Subsystems</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL__TOP_SUBSYSTEMS = UmlrtPackage.RT_MODEL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>BB Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL_FEATURE_COUNT = UmlrtPackage.RT_MODEL_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>BB Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_MODEL_OPERATION_COUNT = UmlrtPackage.RT_MODEL_OPERATION_COUNT + 0;


	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbIF.SubSystem <em>Sub System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sub System</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.SubSystem
	 * @generated
	 */
	EClass getSubSystem();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.papyrusrt.bb.bbIF.SubSystem#getPlatform <em>Platform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Platform</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.SubSystem#getPlatform()
	 * @see #getSubSystem()
	 * @generated
	 */
	EAttribute getSubSystem_Platform();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.papyrusrt.bb.bbIF.SubSystem#getSubsystems <em>Subsystems</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Subsystems</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.SubSystem#getSubsystems()
	 * @see #getSubSystem()
	 * @generated
	 */
	EReference getSubSystem_Subsystems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.papyrusrt.bb.bbIF.SubSystem#getBbif <em>Bbif</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bbif</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.SubSystem#getBbif()
	 * @see #getSubSystem()
	 * @generated
	 */
	EReference getSubSystem_Bbif();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbIF.BBIF <em>BBIF</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BBIF</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBIF
	 * @generated
	 */
	EClass getBBIF();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.papyrusrt.bb.bbIF.BBIF#getBbprotocols <em>Bbprotocols</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bbprotocols</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBIF#getBbprotocols()
	 * @see #getBBIF()
	 * @generated
	 */
	EReference getBBIF_Bbprotocols();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.papyrusrt.bb.bbIF.BBIF#getBbdatatypes <em>Bbdatatypes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bbdatatypes</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBIF#getBbdatatypes()
	 * @see #getBBIF()
	 * @generated
	 */
	EReference getBBIF_Bbdatatypes();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbIF.BBProtocol <em>BB Protocol</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Protocol</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBProtocol
	 * @generated
	 */
	EClass getBBProtocol();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.papyrusrt.bb.bbIF.BBProtocol#getBbsignals <em>Bbsignals</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bbsignals</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBProtocol#getBbsignals()
	 * @see #getBBProtocol()
	 * @generated
	 */
	EReference getBBProtocol_Bbsignals();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbIF.BBSignal <em>BB Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Signal</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBSignal
	 * @generated
	 */
	EClass getBBSignal();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.papyrusrt.bb.bbIF.BBSignal#getDirection <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBSignal#getDirection()
	 * @see #getBBSignal()
	 * @generated
	 */
	EAttribute getBBSignal_Direction();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbIF.BBDataType <em>BB Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Data Type</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBDataType
	 * @generated
	 */
	EClass getBBDataType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.papyrusrt.bb.bbIF.BBDataType#getBbproperties <em>Bbproperties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bbproperties</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBDataType#getBbproperties()
	 * @see #getBBDataType()
	 * @generated
	 */
	EReference getBBDataType_Bbproperties();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbIF.BBProperty <em>BB Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Property</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBProperty
	 * @generated
	 */
	EClass getBBProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.papyrusrt.bb.bbIF.BBProperty#isBigEndian <em>Big Endian</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Big Endian</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBProperty#isBigEndian()
	 * @see #getBBProperty()
	 * @generated
	 */
	EAttribute getBBProperty_BigEndian();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbIF.BBModel <em>BB Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Model</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBModel
	 * @generated
	 */
	EClass getBBModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.papyrusrt.bb.bbIF.BBModel#getTopSubsystems <em>Top Subsystems</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Top Subsystems</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbIF.BBModel#getTopSubsystems()
	 * @see #getBBModel()
	 * @generated
	 */
	EReference getBBModel_TopSubsystems();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	BBIFFactory getBBIFFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.SubSystemImpl <em>Sub System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.SubSystemImpl
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getSubSystem()
		 * @generated
		 */
		EClass SUB_SYSTEM = eINSTANCE.getSubSystem();

		/**
		 * The meta object literal for the '<em><b>Platform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SUB_SYSTEM__PLATFORM = eINSTANCE.getSubSystem_Platform();

		/**
		 * The meta object literal for the '<em><b>Subsystems</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SUB_SYSTEM__SUBSYSTEMS = eINSTANCE.getSubSystem_Subsystems();

		/**
		 * The meta object literal for the '<em><b>Bbif</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SUB_SYSTEM__BBIF = eINSTANCE.getSubSystem_Bbif();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBIFImpl <em>BBIF</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFImpl
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBIF()
		 * @generated
		 */
		EClass BBIF = eINSTANCE.getBBIF();

		/**
		 * The meta object literal for the '<em><b>Bbprotocols</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BBIF__BBPROTOCOLS = eINSTANCE.getBBIF_Bbprotocols();

		/**
		 * The meta object literal for the '<em><b>Bbdatatypes</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BBIF__BBDATATYPES = eINSTANCE.getBBIF_Bbdatatypes();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBProtocolImpl <em>BB Protocol</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBProtocolImpl
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBProtocol()
		 * @generated
		 */
		EClass BB_PROTOCOL = eINSTANCE.getBBProtocol();

		/**
		 * The meta object literal for the '<em><b>Bbsignals</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_PROTOCOL__BBSIGNALS = eINSTANCE.getBBProtocol_Bbsignals();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBSignalImpl <em>BB Signal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBSignalImpl
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBSignal()
		 * @generated
		 */
		EClass BB_SIGNAL = eINSTANCE.getBBSignal();

		/**
		 * The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BB_SIGNAL__DIRECTION = eINSTANCE.getBBSignal_Direction();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBDataTypeImpl <em>BB Data Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBDataTypeImpl
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBDataType()
		 * @generated
		 */
		EClass BB_DATA_TYPE = eINSTANCE.getBBDataType();

		/**
		 * The meta object literal for the '<em><b>Bbproperties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_DATA_TYPE__BBPROPERTIES = eINSTANCE.getBBDataType_Bbproperties();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBPropertyImpl <em>BB Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBPropertyImpl
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBProperty()
		 * @generated
		 */
		EClass BB_PROPERTY = eINSTANCE.getBBProperty();

		/**
		 * The meta object literal for the '<em><b>Big Endian</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BB_PROPERTY__BIG_ENDIAN = eINSTANCE.getBBProperty_BigEndian();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbIF.impl.BBModelImpl <em>BB Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBModelImpl
		 * @see org.eclipse.papyrusrt.bb.bbIF.impl.BBIFPackageImpl#getBBModel()
		 * @generated
		 */
		EClass BB_MODEL = eINSTANCE.getBBModel();

		/**
		 * The meta object literal for the '<em><b>Top Subsystems</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_MODEL__TOP_SUBSYSTEMS = eINSTANCE.getBBModel_TopSubsystems();

	}

} //BBIFPackage
