package org.eclipse.papyrusrt.bb.bbif.papyrus.trans.to.uml.ui.handlers;

import com.google.inject.AbstractModule;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.papyrusrt.bb.bbif.papyrus.trans.to.uml.BBIF2UMLInjectorModule;
import org.eclipse.papyrusrt.xtumlrt.trans.to.uml.ui.handlers.TransformActionHandler;
import org.eclipse.papyrusrt.xtumlrt.trans.to.uml.umlrt.Xtumlrt2UMLTranslatorUtils;

/**
 * Our sample handler extends AbstractHandler, an IHandler base class.
 * @see org.eclipse.core.commands.IHandler
 * @see org.eclipse.core.commands.AbstractHandler
 */
public class TransformBBIF2UMLHandler extends TransformActionHandler {

	boolean initialized = false;
	
	private void init() {
		// Register the "bbif" with the XtUML-RT to UML translator.
		AbstractModule module = new BBIF2UMLInjectorModule();
		org.eclipse.papyrusrt.xtumlrt.trans.to.uml.ui.Activator.getDefault().registerInjectorModule("bbif", module);
		Xtumlrt2UMLTranslatorUtils.addRequiredProfile("pathmap://BBIF/bbIFProfile.profile.uml");
		initialized = true;
	}
	
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		if (!initialized) {
			init();
		}
		super.execute(event);
		return null;
	}
	
}
