/**
 */
package org.eclipse.papyrusrt.bb.bbif.BBIFProfile;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBIFProfileFactory
 * @model kind="package"
 * @generated
 */
public interface BBIFProfilePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "BBIFProfile";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.eclipse.org/papyrusrt/bb/bbif";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "BBIFProfile";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BBIFProfilePackage eINSTANCE = org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.SubSystemImpl <em>Sub System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.SubSystemImpl
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getSubSystem()
	 * @generated
	 */
	int SUB_SYSTEM = 0;

	/**
	 * The feature id for the '<em><b>Base Package</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__BASE_PACKAGE = 0;

	/**
	 * The feature id for the '<em><b>Platform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM__PLATFORM = 1;

	/**
	 * The number of structural features of the '<em>Sub System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Sub System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_SYSTEM_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFImpl <em>BBIF</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFImpl
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBIF()
	 * @generated
	 */
	int BBIF = 1;

	/**
	 * The feature id for the '<em><b>Base Package</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF__BASE_PACKAGE = 0;

	/**
	 * The number of structural features of the '<em>BBIF</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>BBIF</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BBIF_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBPropertyImpl <em>BB Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBPropertyImpl
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBProperty()
	 * @generated
	 */
	int BB_PROPERTY = 2;

	/**
	 * The feature id for the '<em><b>Base Property</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__BASE_PROPERTY = 0;

	/**
	 * The feature id for the '<em><b>Big Endian</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY__BIG_ENDIAN = 1;

	/**
	 * The number of structural features of the '<em>BB Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>BB Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROPERTY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBSignalImpl <em>BB Signal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBSignalImpl
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBSignal()
	 * @generated
	 */
	int BB_SIGNAL = 3;

	/**
	 * The feature id for the '<em><b>Base Call Event</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__BASE_CALL_EVENT = 0;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL__DIRECTION = 1;

	/**
	 * The number of structural features of the '<em>BB Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>BB Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_SIGNAL_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBDataTypeImpl <em>BB Data Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBDataTypeImpl
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBDataType()
	 * @generated
	 */
	int BB_DATA_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Base Class</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE__BASE_CLASS = 0;

	/**
	 * The number of structural features of the '<em>BB Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>BB Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_DATA_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBProtocolImpl <em>BB Protocol</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBProtocolImpl
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBProtocol()
	 * @generated
	 */
	int BB_PROTOCOL = 5;

	/**
	 * The feature id for the '<em><b>Base Collaboration</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL__BASE_COLLABORATION = 0;

	/**
	 * The number of structural features of the '<em>BB Protocol</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>BB Protocol</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_PROTOCOL_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.Direction <em>Direction</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.Direction
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getDirection()
	 * @generated
	 */
	int DIRECTION = 6;


	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.SubSystem <em>Sub System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sub System</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.SubSystem
	 * @generated
	 */
	EClass getSubSystem();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.SubSystem#getBase_Package <em>Base Package</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Package</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.SubSystem#getBase_Package()
	 * @see #getSubSystem()
	 * @generated
	 */
	EReference getSubSystem_Base_Package();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.SubSystem#getPlatform <em>Platform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Platform</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.SubSystem#getPlatform()
	 * @see #getSubSystem()
	 * @generated
	 */
	EAttribute getSubSystem_Platform();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBIF <em>BBIF</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BBIF</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBIF
	 * @generated
	 */
	EClass getBBIF();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBIF#getBase_Package <em>Base Package</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Package</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBIF#getBase_Package()
	 * @see #getBBIF()
	 * @generated
	 */
	EReference getBBIF_Base_Package();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProperty <em>BB Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Property</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProperty
	 * @generated
	 */
	EClass getBBProperty();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProperty#getBase_Property <em>Base Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Property</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProperty#getBase_Property()
	 * @see #getBBProperty()
	 * @generated
	 */
	EReference getBBProperty_Base_Property();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProperty#isBigEndian <em>Big Endian</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Big Endian</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProperty#isBigEndian()
	 * @see #getBBProperty()
	 * @generated
	 */
	EAttribute getBBProperty_BigEndian();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBSignal <em>BB Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Signal</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBSignal
	 * @generated
	 */
	EClass getBBSignal();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBSignal#getBase_CallEvent <em>Base Call Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Call Event</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBSignal#getBase_CallEvent()
	 * @see #getBBSignal()
	 * @generated
	 */
	EReference getBBSignal_Base_CallEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBSignal#getDirection <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBSignal#getDirection()
	 * @see #getBBSignal()
	 * @generated
	 */
	EAttribute getBBSignal_Direction();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBDataType <em>BB Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Data Type</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBDataType
	 * @generated
	 */
	EClass getBBDataType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBDataType#getBase_Class <em>Base Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Class</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBDataType#getBase_Class()
	 * @see #getBBDataType()
	 * @generated
	 */
	EReference getBBDataType_Base_Class();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProtocol <em>BB Protocol</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Protocol</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProtocol
	 * @generated
	 */
	EClass getBBProtocol();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProtocol#getBase_Collaboration <em>Base Collaboration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Collaboration</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.BBProtocol#getBase_Collaboration()
	 * @see #getBBProtocol()
	 * @generated
	 */
	EReference getBBProtocol_Base_Collaboration();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.Direction <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Direction</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.Direction
	 * @generated
	 */
	EEnum getDirection();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	BBIFProfileFactory getBBIFProfileFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.SubSystemImpl <em>Sub System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.SubSystemImpl
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getSubSystem()
		 * @generated
		 */
		EClass SUB_SYSTEM = eINSTANCE.getSubSystem();

		/**
		 * The meta object literal for the '<em><b>Base Package</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SUB_SYSTEM__BASE_PACKAGE = eINSTANCE.getSubSystem_Base_Package();

		/**
		 * The meta object literal for the '<em><b>Platform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SUB_SYSTEM__PLATFORM = eINSTANCE.getSubSystem_Platform();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFImpl <em>BBIF</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFImpl
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBIF()
		 * @generated
		 */
		EClass BBIF = eINSTANCE.getBBIF();

		/**
		 * The meta object literal for the '<em><b>Base Package</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BBIF__BASE_PACKAGE = eINSTANCE.getBBIF_Base_Package();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBPropertyImpl <em>BB Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBPropertyImpl
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBProperty()
		 * @generated
		 */
		EClass BB_PROPERTY = eINSTANCE.getBBProperty();

		/**
		 * The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_PROPERTY__BASE_PROPERTY = eINSTANCE.getBBProperty_Base_Property();

		/**
		 * The meta object literal for the '<em><b>Big Endian</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BB_PROPERTY__BIG_ENDIAN = eINSTANCE.getBBProperty_BigEndian();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBSignalImpl <em>BB Signal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBSignalImpl
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBSignal()
		 * @generated
		 */
		EClass BB_SIGNAL = eINSTANCE.getBBSignal();

		/**
		 * The meta object literal for the '<em><b>Base Call Event</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_SIGNAL__BASE_CALL_EVENT = eINSTANCE.getBBSignal_Base_CallEvent();

		/**
		 * The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BB_SIGNAL__DIRECTION = eINSTANCE.getBBSignal_Direction();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBDataTypeImpl <em>BB Data Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBDataTypeImpl
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBDataType()
		 * @generated
		 */
		EClass BB_DATA_TYPE = eINSTANCE.getBBDataType();

		/**
		 * The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_DATA_TYPE__BASE_CLASS = eINSTANCE.getBBDataType_Base_Class();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBProtocolImpl <em>BB Protocol</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBProtocolImpl
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getBBProtocol()
		 * @generated
		 */
		EClass BB_PROTOCOL = eINSTANCE.getBBProtocol();

		/**
		 * The meta object literal for the '<em><b>Base Collaboration</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_PROTOCOL__BASE_COLLABORATION = eINSTANCE.getBBProtocol_Base_Collaboration();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbif.BBIFProfile.Direction <em>Direction</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.Direction
		 * @see org.eclipse.papyrusrt.bb.bbif.BBIFProfile.impl.BBIFProfilePackageImpl#getDirection()
		 * @generated
		 */
		EEnum DIRECTION = eINSTANCE.getDirection();

	}

} //BBIFProfilePackage
