/**
 */
package org.eclipse.papyrusrt.bb.bbstruct;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.papyrusrt.xtumlrt.common.CommonPackage;
import org.eclipse.papyrusrt.xtumlrt.umlrt.UmlrtPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructFactory
 * @model kind="package"
 * @generated
 */
public interface BBStructPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "bbstruct";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.eclipse.org/papyrusrt/bbstruct";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "bbstruct";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BBStructPackage eINSTANCE = org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructuralCapsuleImpl <em>BB Structural Capsule</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructuralCapsuleImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBStructuralCapsule()
	 * @generated
	 */
	int BB_STRUCTURAL_CAPSULE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__NAME = CommonPackage.CAPSULE__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__DESCRIPTION = CommonPackage.CAPSULE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__ANNOTATIONS = CommonPackage.CAPSULE__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__DEPENDENCIES = CommonPackage.CAPSULE__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__ARTIFACTS = CommonPackage.CAPSULE__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__REDEFINES = CommonPackage.CAPSULE__REDEFINES;

	/**
	 * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__ATTRIBUTES = CommonPackage.CAPSULE__ATTRIBUTES;

	/**
	 * The feature id for the '<em><b>Operations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__OPERATIONS = CommonPackage.CAPSULE__OPERATIONS;

	/**
	 * The feature id for the '<em><b>Generalizations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__GENERALIZATIONS = CommonPackage.CAPSULE__GENERALIZATIONS;

	/**
	 * The feature id for the '<em><b>Behaviour</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__BEHAVIOUR = CommonPackage.CAPSULE__BEHAVIOUR;

	/**
	 * The feature id for the '<em><b>Parts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__PARTS = CommonPackage.CAPSULE__PARTS;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__PORTS = CommonPackage.CAPSULE__PORTS;

	/**
	 * The feature id for the '<em><b>Connectors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE__CONNECTORS = CommonPackage.CAPSULE__CONNECTORS;

	/**
	 * The number of structural features of the '<em>BB Structural Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE_FEATURE_COUNT = CommonPackage.CAPSULE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>BB Structural Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURAL_CAPSULE_OPERATION_COUNT = CommonPackage.CAPSULE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviouralCapsuleImpl <em>BB Behavioural Capsule</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviouralCapsuleImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBBehaviouralCapsule()
	 * @generated
	 */
	int BB_BEHAVIOURAL_CAPSULE = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__NAME = CommonPackage.CAPSULE__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__DESCRIPTION = CommonPackage.CAPSULE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__ANNOTATIONS = CommonPackage.CAPSULE__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__DEPENDENCIES = CommonPackage.CAPSULE__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__ARTIFACTS = CommonPackage.CAPSULE__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__REDEFINES = CommonPackage.CAPSULE__REDEFINES;

	/**
	 * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__ATTRIBUTES = CommonPackage.CAPSULE__ATTRIBUTES;

	/**
	 * The feature id for the '<em><b>Operations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__OPERATIONS = CommonPackage.CAPSULE__OPERATIONS;

	/**
	 * The feature id for the '<em><b>Generalizations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__GENERALIZATIONS = CommonPackage.CAPSULE__GENERALIZATIONS;

	/**
	 * The feature id for the '<em><b>Behaviour</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__BEHAVIOUR = CommonPackage.CAPSULE__BEHAVIOUR;

	/**
	 * The feature id for the '<em><b>Parts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__PARTS = CommonPackage.CAPSULE__PARTS;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__PORTS = CommonPackage.CAPSULE__PORTS;

	/**
	 * The feature id for the '<em><b>Connectors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE__CONNECTORS = CommonPackage.CAPSULE__CONNECTORS;

	/**
	 * The number of structural features of the '<em>BB Behavioural Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE_FEATURE_COUNT = CommonPackage.CAPSULE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>BB Behavioural Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOURAL_CAPSULE_OPERATION_COUNT = CommonPackage.CAPSULE_OPERATION_COUNT + 0;


	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBRelayPortImpl <em>BB Relay Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBRelayPortImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBRelayPort()
	 * @generated
	 */
	int BB_RELAY_PORT = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__NAME = UmlrtPackage.RT_PORT__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__DESCRIPTION = UmlrtPackage.RT_PORT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__ANNOTATIONS = UmlrtPackage.RT_PORT__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__DEPENDENCIES = UmlrtPackage.RT_PORT__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__ARTIFACTS = UmlrtPackage.RT_PORT__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__REDEFINES = UmlrtPackage.RT_PORT__REDEFINES;

	/**
	 * The feature id for the '<em><b>Unique</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__UNIQUE = UmlrtPackage.RT_PORT__UNIQUE;

	/**
	 * The feature id for the '<em><b>Ordered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__ORDERED = UmlrtPackage.RT_PORT__ORDERED;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__LOWER_BOUND = UmlrtPackage.RT_PORT__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__UPPER_BOUND = UmlrtPackage.RT_PORT__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Conjugate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__CONJUGATE = UmlrtPackage.RT_PORT__CONJUGATE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__TYPE = UmlrtPackage.RT_PORT__TYPE;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__VISIBILITY = UmlrtPackage.RT_PORT__VISIBILITY;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__KIND = UmlrtPackage.RT_PORT__KIND;

	/**
	 * The feature id for the '<em><b>Notification</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__NOTIFICATION = UmlrtPackage.RT_PORT__NOTIFICATION;

	/**
	 * The feature id for the '<em><b>Publish</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__PUBLISH = UmlrtPackage.RT_PORT__PUBLISH;

	/**
	 * The feature id for the '<em><b>Wired</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__WIRED = UmlrtPackage.RT_PORT__WIRED;

	/**
	 * The feature id for the '<em><b>Registration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__REGISTRATION = UmlrtPackage.RT_PORT__REGISTRATION;

	/**
	 * The feature id for the '<em><b>Registration Override</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT__REGISTRATION_OVERRIDE = UmlrtPackage.RT_PORT__REGISTRATION_OVERRIDE;

	/**
	 * The number of structural features of the '<em>BB Relay Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT_FEATURE_COUNT = UmlrtPackage.RT_PORT_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>BB Relay Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_RELAY_PORT_OPERATION_COUNT = UmlrtPackage.RT_PORT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviourPortImpl <em>BB Behaviour Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviourPortImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBBehaviourPort()
	 * @generated
	 */
	int BB_BEHAVIOUR_PORT = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__NAME = UmlrtPackage.RT_PORT__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__DESCRIPTION = UmlrtPackage.RT_PORT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__ANNOTATIONS = UmlrtPackage.RT_PORT__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__DEPENDENCIES = UmlrtPackage.RT_PORT__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__ARTIFACTS = UmlrtPackage.RT_PORT__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__REDEFINES = UmlrtPackage.RT_PORT__REDEFINES;

	/**
	 * The feature id for the '<em><b>Unique</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__UNIQUE = UmlrtPackage.RT_PORT__UNIQUE;

	/**
	 * The feature id for the '<em><b>Ordered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__ORDERED = UmlrtPackage.RT_PORT__ORDERED;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__LOWER_BOUND = UmlrtPackage.RT_PORT__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__UPPER_BOUND = UmlrtPackage.RT_PORT__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Conjugate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__CONJUGATE = UmlrtPackage.RT_PORT__CONJUGATE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__TYPE = UmlrtPackage.RT_PORT__TYPE;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__VISIBILITY = UmlrtPackage.RT_PORT__VISIBILITY;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__KIND = UmlrtPackage.RT_PORT__KIND;

	/**
	 * The feature id for the '<em><b>Notification</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__NOTIFICATION = UmlrtPackage.RT_PORT__NOTIFICATION;

	/**
	 * The feature id for the '<em><b>Publish</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__PUBLISH = UmlrtPackage.RT_PORT__PUBLISH;

	/**
	 * The feature id for the '<em><b>Wired</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__WIRED = UmlrtPackage.RT_PORT__WIRED;

	/**
	 * The feature id for the '<em><b>Registration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__REGISTRATION = UmlrtPackage.RT_PORT__REGISTRATION;

	/**
	 * The feature id for the '<em><b>Registration Override</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT__REGISTRATION_OVERRIDE = UmlrtPackage.RT_PORT__REGISTRATION_OVERRIDE;

	/**
	 * The number of structural features of the '<em>BB Behaviour Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT_FEATURE_COUNT = UmlrtPackage.RT_PORT_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>BB Behaviour Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_PORT_OPERATION_COUNT = UmlrtPackage.RT_PORT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBCapsulePartImpl <em>BB Capsule Part</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBCapsulePartImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBCapsulePart()
	 * @generated
	 */
	int BB_CAPSULE_PART = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__NAME = CommonPackage.CAPSULE_PART__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__DESCRIPTION = CommonPackage.CAPSULE_PART__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Annotations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__ANNOTATIONS = CommonPackage.CAPSULE_PART__ANNOTATIONS;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__DEPENDENCIES = CommonPackage.CAPSULE_PART__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Artifacts</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__ARTIFACTS = CommonPackage.CAPSULE_PART__ARTIFACTS;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__REDEFINES = CommonPackage.CAPSULE_PART__REDEFINES;

	/**
	 * The feature id for the '<em><b>Unique</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__UNIQUE = CommonPackage.CAPSULE_PART__UNIQUE;

	/**
	 * The feature id for the '<em><b>Ordered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__ORDERED = CommonPackage.CAPSULE_PART__ORDERED;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__LOWER_BOUND = CommonPackage.CAPSULE_PART__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__UPPER_BOUND = CommonPackage.CAPSULE_PART__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__TYPE = CommonPackage.CAPSULE_PART__TYPE;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART__KIND = CommonPackage.CAPSULE_PART__KIND;

	/**
	 * The number of structural features of the '<em>BB Capsule Part</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART_FEATURE_COUNT = CommonPackage.CAPSULE_PART_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>BB Capsule Part</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_CAPSULE_PART_OPERATION_COUNT = CommonPackage.CAPSULE_PART_OPERATION_COUNT + 0;


	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructuralCapsule <em>BB Structural Capsule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Structural Capsule</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructuralCapsule
	 * @generated
	 */
	EClass getBBStructuralCapsule();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBBehaviouralCapsule <em>BB Behavioural Capsule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Behavioural Capsule</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBBehaviouralCapsule
	 * @generated
	 */
	EClass getBBBehaviouralCapsule();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBRelayPort <em>BB Relay Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Relay Port</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBRelayPort
	 * @generated
	 */
	EClass getBBRelayPort();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBBehaviourPort <em>BB Behaviour Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Behaviour Port</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBBehaviourPort
	 * @generated
	 */
	EClass getBBBehaviourPort();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBCapsulePart <em>BB Capsule Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>BB Capsule Part</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBCapsulePart
	 * @generated
	 */
	EClass getBBCapsulePart();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	BBStructFactory getBBStructFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructuralCapsuleImpl <em>BB Structural Capsule</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructuralCapsuleImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBStructuralCapsule()
		 * @generated
		 */
		EClass BB_STRUCTURAL_CAPSULE = eINSTANCE.getBBStructuralCapsule();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviouralCapsuleImpl <em>BB Behavioural Capsule</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviouralCapsuleImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBBehaviouralCapsule()
		 * @generated
		 */
		EClass BB_BEHAVIOURAL_CAPSULE = eINSTANCE.getBBBehaviouralCapsule();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBRelayPortImpl <em>BB Relay Port</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBRelayPortImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBRelayPort()
		 * @generated
		 */
		EClass BB_RELAY_PORT = eINSTANCE.getBBRelayPort();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviourPortImpl <em>BB Behaviour Port</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBBehaviourPortImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBBehaviourPort()
		 * @generated
		 */
		EClass BB_BEHAVIOUR_PORT = eINSTANCE.getBBBehaviourPort();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.impl.BBCapsulePartImpl <em>BB Capsule Part</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBCapsulePartImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.impl.BBStructPackageImpl#getBBCapsulePart()
		 * @generated
		 */
		EClass BB_CAPSULE_PART = eINSTANCE.getBBCapsulePart();

	}

} //BBStructPackage
