package org.eclipse.papyrusrt.bb.bbstruct.papyrus.trans.to.uml.ui.handlers;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.papyrusrt.bb.bbstruct.papyrus.trans.to.uml.BBStruct2UMLInjectorModule;
import org.eclipse.papyrusrt.xtumlrt.trans.to.uml.ui.handlers.TransformActionHandler;
import org.eclipse.papyrusrt.xtumlrt.trans.to.uml.umlrt.Xtumlrt2UMLTranslatorUtils;

import com.google.inject.AbstractModule;

/**
 * Our sample handler extends AbstractHandler, an IHandler base class.
 * @see org.eclipse.core.commands.IHandler
 * @see org.eclipse.core.commands.AbstractHandler
 */
public class TransformBBStruct2UMLHandler extends TransformActionHandler {

	boolean initialized = false;
	
	private void init() {
		// Register the "bbstruct" with the XtUML-RT to UML translator.
		AbstractModule module = new BBStruct2UMLInjectorModule();
		org.eclipse.papyrusrt.xtumlrt.trans.to.uml.ui.Activator.getDefault().registerInjectorModule("bbstruct", module);
		Xtumlrt2UMLTranslatorUtils.addRequiredProfile("pathmap://BBSTRUCT/BBStructProfile.profile.uml");
		Xtumlrt2UMLTranslatorUtils.addRequiredProfile("pathmap://BBIF/bbIFProfile.profile.uml");
		initialized = true;
	}
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		if (!initialized) {
			init();
		}
		super.execute(event);
		return null;
	}

}
