package org.eclipse.papyrusrt.bb.bbstruct.papyrus.trans.to.uml

import org.eclipse.papyrusrt.bb.bbif.papyrus.trans.to.uml.BBIF2UMLTranslator
import org.eclipse.papyrusrt.bb.bbstruct.BBBehaviouralCapsule
import org.eclipse.papyrusrt.bb.bbstruct.BBStructuralCapsule
import org.eclipse.papyrusrt.xtumlrt.common.Capsule
import org.eclipse.papyrusrt.xtumlrt.umlrt.RTModel
import org.eclipse.papyrusrt.xtumlrt.umlrt.RTPassiveClass
import org.eclipse.papyrusrt.xtumlrt.util.XTUMLRTLogger
import org.eclipse.uml2.uml.Class

class BBStruct2UMLTranslator extends BBIF2UMLTranslator
{

	override generate(RTModel model)
	{
		XTUMLRTLogger.info("Invoking BBStruct2UMLTranslator")
		super.generate(model)
	}

	override protected def create umlElement: super._transform(preprocess(element) as Capsule)
	_transform(Capsule element)
	{
		extendedTransform(element as Capsule,
			umlElement as Class)
	}

	override protected def create umlElement: super._transform(preprocess(element) as RTPassiveClass)
	_transform(RTPassiveClass element)
	{
		extendedTransform(element as RTPassiveClass,
			umlElement as Class)
	}

	protected dispatch def preprocess(BBStructuralCapsule element)
	{
		addAnnotation(element, "bbStructureCapsule", #{})
		element
	}

	protected dispatch def preprocess(BBBehaviouralCapsule element)
	{
		addAnnotation(element, "bbBehaviourCapsule", #{})
		element
	}

	protected dispatch def extendedTransform(BBStructuralCapsule element,
		Class umlElement)
	{
	}

	protected dispatch def extendedTransform(BBBehaviouralCapsule element,
		Class umlElement)
	{
	}

}
