/**
 */
package org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.BBStructProfileFactory
 * @model kind="package"
 * @generated
 */
public interface BBStructProfilePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "BBStructProfile";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.eclipse.org/papyrusrt/bb/bbstruct";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "BBStructProfile";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BBStructProfilePackage eINSTANCE = org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbStructureCapsuleImpl <em>bb Structure Capsule</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbStructureCapsuleImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbStructureCapsule()
	 * @generated
	 */
	int BB_STRUCTURE_CAPSULE = 0;

	/**
	 * The feature id for the '<em><b>Base Class</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURE_CAPSULE__BASE_CLASS = 0;

	/**
	 * The number of structural features of the '<em>bb Structure Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURE_CAPSULE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>bb Structure Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_STRUCTURE_CAPSULE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbBehaviourCapsuleImpl <em>bb Behaviour Capsule</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbBehaviourCapsuleImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbBehaviourCapsule()
	 * @generated
	 */
	int BB_BEHAVIOUR_CAPSULE = 1;

	/**
	 * The feature id for the '<em><b>Base Class</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_CAPSULE__BASE_CLASS = 0;

	/**
	 * The number of structural features of the '<em>bb Behaviour Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_CAPSULE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>bb Behaviour Capsule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_BEHAVIOUR_CAPSULE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbActionImpl <em>bb Action</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbActionImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbAction()
	 * @generated
	 */
	int BB_ACTION = 2;

	/**
	 * The feature id for the '<em><b>Base Call Operation Action</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_ACTION__BASE_CALL_OPERATION_ACTION = 0;

	/**
	 * The number of structural features of the '<em>bb Action</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_ACTION_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>bb Action</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_ACTION_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbTransitionImpl <em>bb Transition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbTransitionImpl
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbTransition()
	 * @generated
	 */
	int BB_TRANSITION = 3;

	/**
	 * The feature id for the '<em><b>Base Transition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_TRANSITION__BASE_TRANSITION = 0;

	/**
	 * The feature id for the '<em><b>Activity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_TRANSITION__ACTIVITY = 1;

	/**
	 * The number of structural features of the '<em>bb Transition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_TRANSITION_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>bb Transition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BB_TRANSITION_OPERATION_COUNT = 0;


	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbStructureCapsule <em>bb Structure Capsule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>bb Structure Capsule</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbStructureCapsule
	 * @generated
	 */
	EClass getbbStructureCapsule();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbStructureCapsule#getBase_Class <em>Base Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Class</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbStructureCapsule#getBase_Class()
	 * @see #getbbStructureCapsule()
	 * @generated
	 */
	EReference getbbStructureCapsule_Base_Class();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbBehaviourCapsule <em>bb Behaviour Capsule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>bb Behaviour Capsule</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbBehaviourCapsule
	 * @generated
	 */
	EClass getbbBehaviourCapsule();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbBehaviourCapsule#getBase_Class <em>Base Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Class</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbBehaviourCapsule#getBase_Class()
	 * @see #getbbBehaviourCapsule()
	 * @generated
	 */
	EReference getbbBehaviourCapsule_Base_Class();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbAction <em>bb Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>bb Action</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbAction
	 * @generated
	 */
	EClass getbbAction();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbAction#getBase_CallOperationAction <em>Base Call Operation Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Call Operation Action</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbAction#getBase_CallOperationAction()
	 * @see #getbbAction()
	 * @generated
	 */
	EReference getbbAction_Base_CallOperationAction();

	/**
	 * Returns the meta object for class '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbTransition <em>bb Transition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>bb Transition</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbTransition
	 * @generated
	 */
	EClass getbbTransition();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbTransition#getBase_Transition <em>Base Transition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Transition</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbTransition#getBase_Transition()
	 * @see #getbbTransition()
	 * @generated
	 */
	EReference getbbTransition_Base_Transition();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbTransition#getActivity <em>Activity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Activity</em>'.
	 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.bbTransition#getActivity()
	 * @see #getbbTransition()
	 * @generated
	 */
	EReference getbbTransition_Activity();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	BBStructProfileFactory getBBStructProfileFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbStructureCapsuleImpl <em>bb Structure Capsule</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbStructureCapsuleImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbStructureCapsule()
		 * @generated
		 */
		EClass BB_STRUCTURE_CAPSULE = eINSTANCE.getbbStructureCapsule();

		/**
		 * The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_STRUCTURE_CAPSULE__BASE_CLASS = eINSTANCE.getbbStructureCapsule_Base_Class();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbBehaviourCapsuleImpl <em>bb Behaviour Capsule</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbBehaviourCapsuleImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbBehaviourCapsule()
		 * @generated
		 */
		EClass BB_BEHAVIOUR_CAPSULE = eINSTANCE.getbbBehaviourCapsule();

		/**
		 * The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_BEHAVIOUR_CAPSULE__BASE_CLASS = eINSTANCE.getbbBehaviourCapsule_Base_Class();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbActionImpl <em>bb Action</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbActionImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbAction()
		 * @generated
		 */
		EClass BB_ACTION = eINSTANCE.getbbAction();

		/**
		 * The meta object literal for the '<em><b>Base Call Operation Action</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_ACTION__BASE_CALL_OPERATION_ACTION = eINSTANCE.getbbAction_Base_CallOperationAction();

		/**
		 * The meta object literal for the '{@link org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbTransitionImpl <em>bb Transition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.bbTransitionImpl
		 * @see org.eclipse.papyrusrt.bb.bbstruct.BBStructProfile.impl.BBStructProfilePackageImpl#getbbTransition()
		 * @generated
		 */
		EClass BB_TRANSITION = eINSTANCE.getbbTransition();

		/**
		 * The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_TRANSITION__BASE_TRANSITION = eINSTANCE.getbbTransition_Base_Transition();

		/**
		 * The meta object literal for the '<em><b>Activity</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BB_TRANSITION__ACTIVITY = eINSTANCE.getbbTransition_Activity();

	}

} //BBStructProfilePackage
