/**
 * generated by Xtext 2.11.0.beta1
 */
package org.eclipse.papyrusrt.bb.bbstruct.scoping;

import com.google.common.base.Function;
import com.google.common.base.Objects;
import com.google.common.base.Predicate;
import com.google.common.collect.Iterables;
import com.google.inject.Inject;
import java.util.ArrayList;
import java.util.List;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.papyrusrt.bb.bbstruct.BBCapsulePart;
import org.eclipse.papyrusrt.xtumlrt.common.Capsule;
import org.eclipse.papyrusrt.xtumlrt.common.CapsulePart;
import org.eclipse.papyrusrt.xtumlrt.common.Connector;
import org.eclipse.papyrusrt.xtumlrt.common.ConnectorEnd;
import org.eclipse.papyrusrt.xtumlrt.common.NamedElement;
import org.eclipse.papyrusrt.xtumlrt.common.Port;
import org.eclipse.papyrusrt.xtumlrt.common.Protocol;
import org.eclipse.papyrusrt.xtumlrt.common.ProtocolBehaviourFeature;
import org.eclipse.papyrusrt.xtumlrt.common.ProtocolBehaviourFeatureKind;
import org.eclipse.papyrusrt.xtumlrt.interactions.Interaction;
import org.eclipse.papyrusrt.xtumlrt.statemach.StateMachine;
import org.eclipse.papyrusrt.xtumlrt.statemach.Transition;
import org.eclipse.papyrusrt.xtumlrt.statemach.Vertex;
import org.eclipse.papyrusrt.xtumlrt.umlrt.RTPort;
import org.eclipse.papyrusrt.xtumlrt.umlrt.RTTrigger;
import org.eclipse.papyrusrt.xtumlrt.util.GeneralUtil;
import org.eclipse.papyrusrt.xtumlrt.util.XTUMLRTStateMachineUtil;
import org.eclipse.papyrusrt.xtumlrt.util.XTUMLRTUtil;
import org.eclipse.xtext.naming.IQualifiedNameConverter;
import org.eclipse.xtext.naming.IQualifiedNameProvider;
import org.eclipse.xtext.naming.QualifiedName;
import org.eclipse.xtext.resource.EObjectDescription;
import org.eclipse.xtext.resource.IEObjectDescription;
import org.eclipse.xtext.resource.impl.AliasedEObjectDescription;
import org.eclipse.xtext.scoping.IScope;
import org.eclipse.xtext.scoping.Scopes;
import org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider;
import org.eclipse.xtext.scoping.impl.FilteringScope;
import org.eclipse.xtext.scoping.impl.SimpleScope;
import org.eclipse.xtext.xbase.lib.CollectionLiterals;
import org.eclipse.xtext.xbase.lib.Functions.Function1;
import org.eclipse.xtext.xbase.lib.IterableExtensions;

/**
 * This class contains custom scoping description.
 * 
 * See https://www.eclipse.org/Xtext/documentation/303_runtime_concepts.html#scoping
 * on how and when to use it.
 */
@SuppressWarnings("all")
public class BBStructDslScopeProvider extends AbstractDeclarativeScopeProvider {
  @Inject
  private IQualifiedNameProvider nameProvider;
  
  @Inject
  private IQualifiedNameConverter nameConverter;
  
  public IScope scope_BBCapsulePart_type(final BBCapsulePart context, final EReference eref) {
    NamedElement _owner = XTUMLRTUtil.getOwner(context);
    final Capsule capsule = ((Capsule) _owner);
    final IScope existingScope = this.delegateGetScope(context, eref);
    final FilteringScope filteredScope = new FilteringScope(existingScope, 
      new Predicate<IEObjectDescription>() {
        @Override
        public boolean apply(final IEObjectDescription input) {
          boolean _xblockexpression = false;
          {
            final EObject eobj = input.getEObjectOrProxy();
            _xblockexpression = (!Objects.equal(eobj, capsule));
          }
          return _xblockexpression;
        }
      });
    return filteredScope;
  }
  
  public IScope scope_ConnectorEnd_partWithPort(final Connector context, final EReference eref) {
    IScope _xblockexpression = null;
    {
      NamedElement _owner = XTUMLRTUtil.getOwner(context);
      final EList<CapsulePart> elements = ((Capsule) _owner).getParts();
      _xblockexpression = Scopes.scopeFor(elements);
    }
    return _xblockexpression;
  }
  
  public IScope scope_ConnectorEnd_partWithPort(final ConnectorEnd context, final EReference eref) {
    IScope _xblockexpression = null;
    {
      NamedElement _owner = XTUMLRTUtil.getOwner(context);
      NamedElement _owner_1 = XTUMLRTUtil.getOwner(_owner);
      final EList<CapsulePart> elements = ((Capsule) _owner_1).getParts();
      _xblockexpression = Scopes.scopeFor(elements);
    }
    return _xblockexpression;
  }
  
  public IScope scope_ConnectorEnd_role(final ConnectorEnd context, final EReference eref) {
    IScope _xblockexpression = null;
    {
      CapsulePart _partWithPort = context.getPartWithPort();
      Capsule _type = _partWithPort.getType();
      final EList<Port> elements = _type.getPorts();
      _xblockexpression = Scopes.scopeFor(elements);
    }
    return _xblockexpression;
  }
  
  public IScope scope_Transition_sourceVertex(final Transition context, final EReference eref) {
    return this.transition_endpoints(context, eref);
  }
  
  public IScope scope_Transition_targetVertex(final Transition context, final EReference eref) {
    return this.transition_endpoints(context, eref);
  }
  
  protected IScope transition_endpoints(final Transition context, final EReference eref) {
    IScope _xblockexpression = null;
    {
      Iterable<Vertex> _possibleEndpoints = XTUMLRTStateMachineUtil.getPossibleEndpoints(context);
      final List<Vertex> elements = ((List<Vertex>) _possibleEndpoints);
      _xblockexpression = Scopes.scopeFor(elements);
    }
    return _xblockexpression;
  }
  
  public IScope scope_RTTrigger_ports(final Transition context, final EReference eref) {
    IScope _xblockexpression = null;
    {
      StateMachine _ownerStateMachine = XTUMLRTStateMachineUtil.getOwnerStateMachine(context);
      NamedElement _owner = null;
      if (_ownerStateMachine!=null) {
        _owner=XTUMLRTUtil.getOwner(_ownerStateMachine);
      }
      final Capsule capsule = ((Capsule) _owner);
      final EList<Port> elements = capsule.getPorts();
      _xblockexpression = Scopes.scopeFor(elements);
    }
    return _xblockexpression;
  }
  
  public IScope scope_RTTrigger_signal(final RTTrigger context, final EReference eref) {
    IScope _xblockexpression = null;
    {
      final EList<RTPort> ports = context.getPorts();
      if (((ports == null) || ports.isEmpty())) {
        return this.delegateGetScope(context, eref);
      }
      final RTPort port = ports.get(0);
      final Protocol protocol = port.getType();
      final EList<ProtocolBehaviourFeature> messages = protocol.getProtocolBehaviourFeatures();
      Iterable<ProtocolBehaviourFeature> _xifexpression = null;
      boolean _isConjugate = port.isConjugate();
      boolean _not = (!_isConjugate);
      if (_not) {
        final Function1<ProtocolBehaviourFeature, Boolean> _function = (ProtocolBehaviourFeature it) -> {
          return Boolean.valueOf((Objects.equal(it.getKind(), ProtocolBehaviourFeatureKind.IN) || 
            Objects.equal(it.getKind(), ProtocolBehaviourFeatureKind.INOUT)));
        };
        _xifexpression = IterableExtensions.<ProtocolBehaviourFeature>filter(messages, _function);
      } else {
        final Function1<ProtocolBehaviourFeature, Boolean> _function_1 = (ProtocolBehaviourFeature it) -> {
          return Boolean.valueOf((Objects.equal(it.getKind(), ProtocolBehaviourFeatureKind.OUT) || 
            Objects.equal(it.getKind(), ProtocolBehaviourFeatureKind.INOUT)));
        };
        _xifexpression = IterableExtensions.<ProtocolBehaviourFeature>filter(messages, _function_1);
      }
      final Iterable<ProtocolBehaviourFeature> elements = _xifexpression;
      _xblockexpression = Scopes.scopeFor(elements);
    }
    return _xblockexpression;
  }
  
  public IScope scope_Lifeline_represents(final Interaction context, final EReference eref) {
    SimpleScope _xblockexpression = null;
    {
      final NamedElement model = XTUMLRTUtil.getRoot(context);
      final Iterable<Capsule> capsules = XTUMLRTUtil.getAllCapsules(model);
      final Function1<Capsule, EList<CapsulePart>> _function = (Capsule it) -> {
        return it.getParts();
      };
      Iterable<EList<CapsulePart>> _map = IterableExtensions.<Capsule, EList<CapsulePart>>map(capsules, _function);
      final Iterable<CapsulePart> parts = Iterables.<CapsulePart>concat(_map);
      _xblockexpression = this.qualifiedNamesScopeFor(context, parts);
    }
    return _xblockexpression;
  }
  
  public IScope scope_Message_signature(final Interaction context, final EReference eref) {
    SimpleScope _xblockexpression = null;
    {
      final NamedElement model = XTUMLRTUtil.getRoot(context);
      final Iterable<Protocol> protocols = XTUMLRTUtil.getAllProtocols(model);
      final Function1<Protocol, EList<ProtocolBehaviourFeature>> _function = (Protocol it) -> {
        return it.getProtocolBehaviourFeatures();
      };
      Iterable<EList<ProtocolBehaviourFeature>> _map = IterableExtensions.<Protocol, EList<ProtocolBehaviourFeature>>map(protocols, _function);
      final Iterable<ProtocolBehaviourFeature> messages = Iterables.<ProtocolBehaviourFeature>concat(_map);
      _xblockexpression = this.qualifiedNamesScopeFor(context, messages);
    }
    return _xblockexpression;
  }
  
  protected IScope aliasedScope(final EObject context, final EReference eref, final Iterable<? extends NamedElement> elements) {
    final IScope existingScope = this.delegateGetScope(context, eref);
    final ArrayList<IEObjectDescription> scope = CollectionLiterals.<IEObjectDescription>newArrayList();
    for (final NamedElement element : elements) {
      String _name = element.getName();
      QualifiedName _create = QualifiedName.create(_name);
      QualifiedName _fullyQualifiedName = this.nameProvider.getFullyQualifiedName(element);
      IEObjectDescription _create_1 = EObjectDescription.create(_fullyQualifiedName, element);
      AliasedEObjectDescription _aliasedEObjectDescription = new AliasedEObjectDescription(_create, _create_1);
      scope.add(_aliasedEObjectDescription);
    }
    return new SimpleScope(existingScope, scope, false);
  }
  
  protected IScope aliasedScopeFor(final Iterable<? extends NamedElement> elements) {
    final ArrayList<IEObjectDescription> scope = CollectionLiterals.<IEObjectDescription>newArrayList();
    for (final NamedElement element : elements) {
      String _name = element.getName();
      QualifiedName _create = QualifiedName.create(_name);
      QualifiedName _fullyQualifiedName = this.nameProvider.getFullyQualifiedName(element);
      IEObjectDescription _create_1 = EObjectDescription.create(_fullyQualifiedName, element);
      AliasedEObjectDescription _aliasedEObjectDescription = new AliasedEObjectDescription(_create, _create_1);
      scope.add(_aliasedEObjectDescription);
    }
    return new SimpleScope(IScope.NULLSCOPE, scope, false);
  }
  
  protected IScope containmentFilteredScope(final IScope existingScope, final EObject context, final EReference eref, final Iterable<? extends NamedElement> elements) {
    final List<? extends NamedElement> list = IterableExtensions.toList(elements);
    final FilteringScope filteredScope = new FilteringScope(existingScope, 
      new Predicate<IEObjectDescription>() {
        @Override
        public boolean apply(final IEObjectDescription input) {
          boolean _xblockexpression = false;
          {
            final EObject eobj = input.getEObjectOrProxy();
            _xblockexpression = list.contains(eobj);
          }
          return _xblockexpression;
        }
      });
    return filteredScope;
  }
  
  protected IScope containmentFilteredAliasedScope(final EObject context, final EReference eref, final Iterable<? extends NamedElement> elements) {
    IScope _xblockexpression = null;
    {
      final IScope aliased = this.aliasedScope(context, eref, elements);
      _xblockexpression = this.containmentFilteredScope(aliased, context, eref, elements);
    }
    return _xblockexpression;
  }
  
  protected SimpleScope qualifiedNamesScopeFor(final EObject context, final Iterable<? extends NamedElement> elements) {
    SimpleScope _xblockexpression = null;
    {
      final QualifiedName contextFqn = this.nameProvider.getFullyQualifiedName(context);
      final String contextFqnStr = contextFqn.toString();
      final Function1<NamedElement, QualifiedName> _function = (NamedElement element) -> {
        QualifiedName _xblockexpression_1 = null;
        {
          final QualifiedName elementFqn = this.nameProvider.getFullyQualifiedName(element);
          final String elementFqnStr = elementFqn.toString();
          final String longestCommonPrefix = GeneralUtil.longestCommonPrefix(contextFqnStr, elementFqnStr);
          int _length = longestCommonPrefix.length();
          final String relativeElementQnStr = elementFqnStr.substring(_length);
          _xblockexpression_1 = this.nameConverter.toQualifiedName(relativeElementQnStr);
        }
        return _xblockexpression_1;
      };
      final Function1<NamedElement, QualifiedName> nameComputation = _function;
      Iterable<IEObjectDescription> _scopedElementsFor = Scopes.<NamedElement>scopedElementsFor(elements, new Function<NamedElement, QualifiedName>() {
          public QualifiedName apply(NamedElement input) {
            return nameComputation.apply(input);
          }
      });
      _xblockexpression = new SimpleScope(IScope.NULLSCOPE, _scopedElementsFor);
    }
    return _xblockexpression;
  }
}
